Last Comment Bug 741216 - Cannot drag & drop file path onto INPUT type=file(I can drag & drop file path onto Browse... button)
: Cannot drag & drop file path onto INPUT type=file(I can drag & drop file pat...
Status: RESOLVED FIXED
[qa+]
: regression
Product: Core
Classification: Components
Component: Editor (show other bugs)
: 14 Branch
: x86 Windows 7
: -- normal (vote)
: mozilla15
Assigned To: :Ehsan Akhgari
:
: Makoto Kato [:m_kato]
Mentors:
data:text/html;charset=utf-8,<input t...
Depends on:
Blocks: 737889
  Show dependency treegraph
 
Reported: 2012-04-01 10:15 PDT by Alice0775 White
Modified: 2012-07-18 09:57 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
+
verified


Attachments
Patch (v1) (2.70 KB, patch)
2012-04-02 13:25 PDT, :Ehsan Akhgari
bzbarsky: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Alice0775 White 2012-04-01 10:15:47 PDT
Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/bbe5086163c9
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120331 Firefox/14.0a1 ID:20120331161857


Cannot drag & drop file path onto INPUT type=file.
(I can  drag & drop file path onto Browse... button)

Steps to reproduce:
1. Open URL.
2. Drag file from Explorer onto rectangle area of the INPUT type=file 

Actual results:
  I cannot drag & drop file path

Expected results:
  I cannot drag & drop file path

Regression window(m-c),
Works:
http://hg.mozilla.org/mozilla-central/rev/d78e842b5973
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120324 Firefox/14.0a1 ID:20120324012131
Fails:
http://hg.mozilla.org/mozilla-central/rev/20a01901480f
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120325 Firefox/14.0a1 ID:20120325031055
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=d78e842b5973&tochange=20a01901480f



Regression window(m-i),
Works:
http://hg.mozilla.org/integration/mozilla-inbound/rev/c216e1c38010
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120323 Firefox/14.0a1 ID:20120323082312
Fails:
http://hg.mozilla.org/integration/mozilla-inbound/rev/13cf485e1d1c
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120323 Firefox/14.0a1 ID:20120323084412
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=c216e1c38010&tochange=13cf485e1d1c

Suspected:
45bf5d610be2	Ehsan Akhgari — Bug 737889 - Part 2: Stop the propagarion of drag/drop events over non-editable content; r=roc

I am not sure this is a intentional change or not.
Comment 1 Alice0775 White 2012-04-01 10:28:53 PDT
Sorry.I mean.

Expected results:
  I can drag & drop file path
Comment 2 :Ehsan Akhgari 2012-04-02 13:25:56 PDT
Created attachment 611568 [details] [diff] [review]
Patch (v1)

We need to exempt file control frames here because they will be handled by the nsFileControlFrame class.
Comment 3 :Ehsan Akhgari 2012-05-24 20:41:17 PDT
roc: ping
Comment 4 :Ehsan Akhgari 2012-05-24 20:45:37 PDT
Note to roc and bz: this needs to get in by tomorrow to get to the Firefox 14 beta code freeze.
Comment 5 Boris Zbarsky [:bz] (still a bit busy) 2012-05-24 20:47:05 PDT
Comment on attachment 611568 [details] [diff] [review]
Patch (v1)

r=me if you drop the stray backslash in this line:

+    if ((mEditor->IsReadonly() || mEditor->IsDisabled()) &&\
Comment 6 :Ehsan Akhgari 2012-05-24 20:55:14 PDT
Thanks for the review!

https://hg.mozilla.org/integration/mozilla-inbound/rev/245368bc3e2f
Comment 7 :Ehsan Akhgari 2012-05-24 20:56:23 PDT
Comment on attachment 611568 [details] [diff] [review]
Patch (v1)

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 737889
User impact if declined: Drag and drop on file controls will break if the user drops on the Browse button.
Testing completed (on m-c, etc.): Tested manually
Risk to taking this patch (and alternatives if risky): Minimal.
String or UUID changes made by this patch: None.
Comment 8 Ed Morley [:emorley] 2012-05-25 08:23:15 PDT
https://hg.mozilla.org/mozilla-central/rev/245368bc3e2f
Comment 9 Alex Keybl [:akeybl] 2012-05-29 09:55:34 PDT
Comment on attachment 611568 [details] [diff] [review]
Patch (v1)

[Triage Comment]
Fixes drag+drop. Approved for Aurora 14.
Comment 11 Paul Silaghi, QA [:pauly] 2012-06-19 05:48:24 PDT
File from Explorer can be dropped in rectangle area of data:text/html;charset=utf-8,<input type%3D"file">
Verified fixed on Mozilla/5.0 (Windows NT 6.1; rv:14.0) Gecko/20100101 Firefox/14.0b7
Comment 12 Ioana (away) 2012-07-18 09:57:13 PDT
Verified as fixed on:
Mozilla/5.0 (Windows NT 6.1; rv:15.0) Gecko/20100101 Firefox/15.0

When files are dragged and dropped onto INPUT type=file, their right path is entered in the box.

Note You need to log in before you can comment on or make changes to this bug.